-------- RELEASE v1.7 --------

2006-01-25  Mitchel T. Keller <keller@math.gatech.edu>

	* title@top: reduce font size to large and remove double spacing
	* title@text: changes to accommodate \ifdissertation and
	\iflistmajor and to reduce the size of the author's name
	* ifdissertation: new if to use the word dissertation on the title
	page instead of thesis
	* iflistmajor: new if to use "[degree] in [major]" on the title
	page and put [department] down at the bottom of the page
	* \major: new command to specify the major for the title page
	* reader commands: two optional arguments added to all reader
	commands (including advis?r and committee chair) to allow
	specifying the reader's affiliation
	* signature@bodytwocol: major revisions to eliminate signature
	lines, list each person's affiliation, print the date approved,
	and line up the first line of horizontally opposite signatures
	* @makecaption: Removed call to \textsf for the first argument
	when captions get long.
	
-------- RELEASE v1.6 --------
	
2003-05-06  Charles Wilson  <cwilson@ece.gatech.edu>

	* l@chapter: modify to add leaders, as requested
	by OGS.

2003-05-04  Charles Wilson  <cwilson@ece.gatech.edu>

	* one-and-a-half spacing: use 1.25 throughout, 
	instead of 1.33 -- to better match the description 
	given in The LaTeX Companion.

2003-04-14  Charles Wilson  <cwilson@ece.gatech.edu>

	* \@makesignature: fix problem when no Committee Chair
	* vita environment: make double spaced
	* \@makecaption: Make 'Figure X:' part bold, but use
	the normal font (OGS complained about san-serif).
	* patch support: new file "gatech-thesis-patch.sty"
	for faster updates...

2002-09-30  Charles Wilson  <cwilson@ece.gatech.edu>

	* \@footnotetext: correct spacing after the footnotemark
	in the body text.

-------- RELEASE v1.5 --------

2002-08-17  Charles Wilson  <cwilson@ece.gatech.edu>

	Make the changes suggested and/or approved by OGS

	* \@makecaption: New function (copied from report.cls).
	Make the 'Figure X:' part bold san-serif.  To override,
	use the caption2 package.  Current behavior is now similar
	to '\usepackage[sf,bf]{caption2}'.
	* gatech-thesis-gloss.sty: change \glossname
	* gatech-thesis-losa.sty: new file. Use this for List of Symbols
	* gatech-thesis-losa.bst: new file.
	* INSTALL: fix format
	* COMPLIANCE: new file

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	tag as 1.4 -- it may not be official, but it works.
	Get approval from OGS, make the required changes, and
	release that as 1.5

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	In the most recent version of the OGS Guidelines, the
	specific format of section, subsection, and subsubsection
	headings is no longer specified.  Because underlining is bad
	  (1) underlining for emphasis is bad typesetting, originally
	      used only when italics where not available [e.g. typewriters,
	      for which the original OGS Guidelines were written]
	  (2) Centering doesn't work on underlined text in section titles,
	      so earlier, we faked it with a 2in indent (hoping that all
	      section titles were short).  Bad idea.
	  (3) underlining doesn't break across lines, so if you have a
	      very long section title, it won't wrap.  It was suggested
	      (Elena Garcia) to use the ulem.sty package, but
	        (a) that would add a non-base external dependency to the class
			  (b) it doesn't fix the problem, unless you ALSO use the
	            titlesec.sty package to control section titles.  Which
	            is yet ANOTHER external dependency.
	Given (1) and (2), plus the lack of a requirement by OGS, I've
	redefined the section, subsection, and subsubsection formats thus:
		section:       (old) (not really) centered, underlined, bold
		section:       (new) Large, bold, italic, at left margin
	   subsection:    (old) bold, at left margin
	   subsection:    (new) bold, at left margin
		subsubsection: (old) bold, indented 5 "spaces" from left margin
		subsubsection: (new) italic, indented 0.25in from left margin

	* \section: change format of headings
	* \subsection: change format of headings
	* \subsubsection: change format of headings

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	* mainline: using \AtEndDocument, write out a final setcounter 
	command to the aux file.  This corrects a problem when the last
	section of the document is \include'd instead of \input'ed.

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	name handling for LOT, TOC, LOF.  Not all of these are used; but
	are included for completeness.  One confusing note: the pdfbookmarks
	for listoffigures and listoftables uses the list*name variable,
	NOT the *pdfbookmarksstring variable: but the list*name includes
	\Makeuppercase which is illegal in a pdfstring.  
	  This is handled by hyperref itself (I think) which ignores
   \MakeUppercase when building the bookmarks.

	* \gtcontentsname: New. holds "normal" version of the TOC name
	* \toccontentlinestring: New. holds \Makeuppercase version of TOC name
	* \tocpdfbookmarksstring: New.  holds texofpdfstring version of TOC name
	* \settocstring: New. sets the above three values appropriately, as
	well as the 'normal' LaTeX variable 'contentsname'
	* \gtfigurename: New. holds "normal" version of the LOF name
	* \lofcontentlinestring: New. holds \Makeuppercase version of LOF name
	* \lofpdfbookmarksstring: New.  holds texofpdfstring version of LOF name
	* \setlofstring: New. sets the above three values appropriately, as 
	well as the 'normal' LaTeX variable 'listfigurename'
	* \gttablename: New. holds "normal" version of the LOT name
	* \lotcontentlinestring: New. holds \Makeuppercase version of LOT name
	* \lotpdfbookmarksstring: New.  holds texofpdfstring version of LOT name
	* \setlotstring: New. sets the above three values appropriately, as
	well as the 'normal' LaTeX variable 'listtablename'

	* mainline: use \setlotstring, \setlofstring, \settocstring

	* \do@tablespage: use \lotcontentlinestring
	* \do@contentspage: use \tocpdfbookmarkstring
	* \do@figurespage: use \lofcontentlinestring

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	Minor headings fixups: in short "chapters" (vita, references) which 
	will NOT have sections, the chapter header markers are not appropriate.
	Normal is: \rightmark has chapter name, \leftmark has section name 
	.(when no sections, like vita, \leftmark is empty).  It is up to 
	the pagestyle whether the \marks are used.  We only use them in 
	gtthesis style.  So, these known-short chapters should override
	the markers and mark both left and right with the "chapter" name:
	plus, they shouldn't read "Chapter *: Vita" but simply "Vita".

	* vita environment: markboth{}{} with the chapter name
	* thebibliography: ditto, plus reset the pagestyle back to
	"endmatter" (references are numbered as bodytext, according to 
	OGS guidelines).  This means that \references MUST be the very first
	section within the postliminary environment, or page numbering 
	could get wacky.
	
	QUESTION: perhaps abstract, TOC, LOT, ... should get similar 
	treatment?  How likely is it that they will run more than two pages
	long?
	
2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	Massive signature page improvements.  OGS Guidelines say that
	if there are more than four signatories, then the signature
	lines must be arranged in two columns.

	* \newsignature: remove
	* \signature@width: new length.
	* \signature@bodyonecol: new function. Used to typeset the 
	signatures when there are less than five.  If called, it 
	loops thru all 7 known signatures, because it doesn't know
	which of them are empty.
	* \signature@bodytwocol: new function. Used to typeset the 
	signatures when there are five or more. 
	* \signature@body: pointer to \signature@bodyonecol or 
	\signature@bodytwocol
	* \signatures: new counter (all sigs)
	* \cnt@Lsig: new counter (sigs in left column)
	* \cnt@Rsig: new counter (sigs in right column)
	* \R@signatures: New. list of signatures for right column
	* \L@signatures: New. list of signatures for left column
	* \ta, \tb: New. tokens for list management
	* \leftappenditem#1\to#2: New. list management function (from TeXbook)
	* \rightappenditem#1\to#2: New. ditto
	* \concatenate#1=#2&#3: New. ditto
	* \lop#1\to#2: New. ditto
	* \lopoff: New. ditto
	* \dosiglist: New. Loops thru the given list (#1) as many times as is
	indicated by (#2).  Executes the extracted items (e.g. typesets
	the signatures).
	* \signature: modify to put entire signature with rule inside a
	parbox.  Also, don't do anything if argument is empty (previously
	you'd get a rule with no name)
	* \add@Lsig: New. Add the given signature to the left list, and 
	increment the left counter
	* \add@Rsig: New.  ditto, only right
	* \@fifthreader: new function.  added to make things nicer for
	\makesignature
	* \@sixthreader: new function.  Ditto.
	* \makesignature: add the committee chair, advisor, and first reader
	to the left list (we know these three will be in the left column
	if they exist).  Count all specified signatures. If less than five,
	punt: skip to typesetting routine.  Otherwise, adjust \signature@width,
	change \signature@body pointer to \signature@bodytwocol, and
	compute which signatures are added to the left list, and which
	are added to the right list.  Typesetting: call \title@top, then
	call the \signature@body pointer.
	
2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	Fix pagenumbering.  New OGS guidelines say that pagenumbers should
	go on the bottom in the middle, not in the upper right corner.

	* \tcplain: new name for gtplain (given the new guidelines, the
	upperright numbering has nothing to do with GT, so avoid the 
	confusion.  tc == 'Top Corner'.
	* \if@tcpage: new name for \if@thesispage.  Since neither gtthesis
	style nor gtplain==tcplain style are actually required by the 
	new OGS guidelines, give this a functional name: it indicates whether
	the current style is a left-right alternating style when twosided.
	It is true for tcplain and for gtthesis.
	* \cleartcplaindoublepage: new function, included for completeness. 
	I doubt it will be of much use, though.
	* \cleargtthesisdoublepage: ditto
	* \chapter: use plain pagestyle, not gtplain
	* \appendix: ditto
	* \makesignature: according to new OGS guidelines, should not be
	numbered.  set \thispagestyle to empty.

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	* \l@part@pagenumfont: new command (gobbles pagenumber)
	* \l@part: use it

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	* abstract environment: change handling of cleardouble page
	so that pdf bookmarks are at the proper place.
	* summary environment: ditto
	* acknowledgements environment: ditto
	* preface environment: ditto
	* vita environment: ditto
	* \references: ditto
	* \maketitle: ditto
	* \make@parttitle: ditto
	* \makesignature: ditto
	* \prefacesection: ditto
	* \postfacesection: ditto
	* \do@tablespage: ditto
	* \do@figurespage: ditto
	* \do@contentspage: ditto
	* dedication environment: ditto, and automatically center the text
	vertically as per OGS requirements.  To override this centering,
	\renewcommand{} on \dedicationtop and \dedicationbottom
	* \dedicationtop: new command (used by dedication environment)
	* \dedicationbottom: new command (used by dedication environment)

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

   Fix the TOC, LOT, LOF to handle really long titles.  Each title
	should be single spaced, with double spacing between titles.  This
	means that the entire TOC, LOT, LOF must be "singlespaced", but
	we must add extra vspace{} when formatting.  Thus, we copy
	all of the l@[X] funtions from report.cls, and modify them to 
	use a settable length between entries. (We will set this length
	to height{A capital letter} to simulate double spacing) -- but
	that's done elsewhere

	* \chap@chapter: don't add extra space to TOC, the l@[X] functions 
	will handle that. Modify format of the title to better support
	pdf bookmarks (emdash vs. ---)
	* \app@chapter: ditto
   * \gt@tocentryskip@value: new length, used to handle spacing within
	TOC, LOT, LOF
	* \gt@beforepartskip@value: new length (TOC, LOT, LOF)
	* \gt@beforechapskip@value: new length (TOC, LOT, LOF)
	* \gt@beforesecskip@value: new length (TOC, LOT, LOF)
	* \gt@beforesubsecskip@value: new length (TOC, LOT, LOF)
	* \gt@beforesubsubsecskip@value: new length (TOC, LOT, LOF)
	* \gt@beforeparaskip@value: new length (TOC, LOT, LOF)
	* \gt@beforesubparaskip@value: new length (TOC, LOT, LOF)
	* \gt@beforefigskip@value: new length (TOC, LOT, LOF)
	* \gt@beforetableskip@value: new length (TOC, LOT, LOF)
	* \gt@@toclineskip: internal length, see l@section, l@subsection... below
	* \set@gttocskip: new function, sets the above lengths to
	default values based on its argument.
	* \gt@dottedtocline: new fuction, replaces \@dottedtocline from
	report.cls, but uses \gt@@toclineskip to control spacing between
	entries in the TOC, LOT, LOF.
	* \l@part: copied from report.cls, modified to use gt@beforepartskip@value
	* \l@chap: similar
	* \l@section: assign gt@@toclineskip the appropriate length 
	gt@before[X]@value, and call \gt@dottedtocline.  Based on report.cls
	version (but increased leftmargin slightly to make room for 
	Roman Numberal chapter numbers.
	* \l@subsection: similar
	* \l@subsubsection: similar
	* \l@paragraph: similar
	* \l@subparagraph: similar
	* \l@figure: similar
	* \l@table: similar
	
	* mainline: use set@gttocskip

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

	Add support for multivolume theses, using the \part{} sectioning
	commands.  Since volume title pages are not to be counted in the
	page numbers, we assign them negative pagenums to avoid duplication
	of existing pagenums in the "real" thesis.

	gatech-thesis.cls now depends on the base package 'calc'.

	* \ifmultivolume: new if (See preliminary environment)
	* \part@savepagenum: new counter, used to save existing page
	number while we take a pagenumber detour
	* \part@pagenum: the detour Initially set to -101, and increases.
	Don't use more than 50 parts in a twosided thesis, 100 in a 
	onesided thesis.
	* preliminary environment: if multivolume, then do a \part{}
	command just after the "real" title page.
	* \title@top: new function, used by sigature page, title page, and
	volume titles.
	* \maketitle: use it.
	* \make@parttitle: new function.  Use \title@top, but also typeset
	the volume number [and title], and author as per OGS guidelines
	* \makesignature: use \title@top
	* \partname: Volume, not Part
	* \part: copy from report.cls, modify to reset page number
	* \@part: copy from report.cls, modify to typeset 'Volume I'
	centered on the line in TOC. (Also pdf bookmark support).  Calls
	\make@parttitle to typeset the volume title page
	* \@spart: copy from report.cls, modify to use \make@parttitle for
	typesettting
	* \@endpart: copy from report.cls, sets pagenum back to saved value
	* \orig@contentsline: compatibility macro for hyperref support
	* \labelchaptersintableofcontents: modify to support new \part{}
	stuff, and hyperref (use \orig@contentsline)
	* \labelappendicesintableofcontents: ditto

2002-08-08  Charles Wilson  <cwilson@ece.gatech.edu>

   Simplify \contents command to enable glossary support

	* \do@tablespage: new command, typesets the LOT
	* \do@figurespage: new command, typesets the LOF
	* \do@contentspage: new command, typesets the TOC
	* \do@glossarypage: new command.  Empty (but overridden by
	gatech-thesis-gloss.sty)
	* \do@indexpage: new command.  Empyt (but overridden by
	gatech-thesis-index.sty)
	* \contents: use them
	
2002-08-03  Charles Wilson  <cwilson@ece.gatech.edu>

	* \@removefromreset: added new command (from David Carlisle)
	* figure numbering: use \@removefromreset instead of existing kludge
	* table numbering: use \@removefromreset instead of existing kludge
	* equation numbering: use \@removefromreset instead of existing kludge
	* preliminary environment: insure empty lefthand page is printed between
	end of preliminary and beginning of chapter 1.
